%global debug_package %{nil}

Summary:	A Nagios plugin to check SIP servers and devices
Name:		nagios-plugins-check_sip
Version:	1.3
Release:	4%{?dist}
License:	GPLv2+
Group:		Applications/System
URL:		http://bashton.com/osprojects/nagiosplugins/
Source0:	http://www.bashton.com/downloads/nagios-check_sip-%{version}.tar.gz
# Fix for Nagios 3.x - https://bugzilla.redhat.com/823859
Patch1:		nagios-plugins-check_sip-0001-Fix-for-Nagios-3.x.patch
Requires:	nagios-plugins
Requires:	nagios-plugins-perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
A Nagios plugin that will test a SIP server/device for availability and
response time.

%prep
%setup -q -n nagios-check_sip-%{version}
# lib64 fix
perl -pi -e "s|/usr/lib64|%{_libdir}|g" check_sip
%if 0%{?el6}%{?fedora}
%patch1 -p1 -b .nagios3x
%endif

%build

%install
rm -rf %{buildroot}
install -D -p -m 0755 check_sip %{buildroot}%{_libdir}/nagios/plugins/check_sip

%clean
rm -rf %{buildroot}

%files
%doc README COPYING CHANGES
%{_libdir}/nagios/plugins/check_sip

%changelog
* Sun Sep 16 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.3-4
- Fixed work with Nagios 3.x (thanks, Joachim Jaeckel)

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 22 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.3-2
- Fixed typo (see rhbz #823859)

* Sun May 06 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.3-1
- Ver. 1.3 (bugfix release)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct  7 2008  Peter Lemenkov <lemenkov@gmail.com> 1.2-5
- Small changes due to Rakesh Pandit's sugestions

* Tue Sep 30 2008 Peter Lemenkov <lemenkov@gmail.com> 1.2-4
- Fixed project's URL
- Removed unnecessary explicit "Provides:"

* Sat Aug 23 2008 Peter Lemenkov <lemenkov@gmail.com> 1.2-3
- Cleanups

* Sun Aug 10 2008 Peter Lemenkov <lemenkov@gmail.com> 1.2-2
- Fixed issue with multiarch

* Fri May 16 2008 Peter Lemenkov <lemenkov@gmail.com> 1.2-1
-Initial package for Fedora/EPEL
V
* Tue Feb 19 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1-1mdv2008.1
+ Revision: 173081
- 1.1

	+ Olivier Blin <oblin@mandriva.com>
		- restore BuildRoot

	+ Thierry Vignaud <tvignaud@mandriva.com>
		- kill re-definition of %%buildroot on Pixel's request

* Tue Apr 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.01-3mdv2008.0
+ Revision: 13796
- use the new /etc/nagios/plugins.d scandir


* Wed Nov 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1.01-2mdv2007.0
+ Revision: 84577
- Import nagios-check_sip

* Thu Aug 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.01-2mdk
- disable debug packages

* Thu Apr 06 2006 Oden Eriksson <oeriksson@mandriva.com> 1.01-1mdk
- 1.01

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdk
- initial Mandriva package

